import 'package:flutter/material.dart';

class API {
  API({@required this.baseUrl});

  final String baseUrl;

  factory API.worksdata() => API(
        baseUrl: 'https://worksdata-2pyg53q3gq-as.a.run.app',
      );

  factory API.ipify() => API(baseUrl: 'https://api.ipify.org');

  factory API.ipGeolocation() =>
      API(baseUrl: 'https://api.ipgeolocationapi.com/geolocate/');

  String endpointUrl(String path) => '$baseUrl$path';
}
